Package org.apache.lucene.facet.facetset

# Class LongFacetSet

java.lang.Object
org.apache.lucene.facet.facetset.FacetSet
org.apache.lucene.facet.facetset.LongFacetSet

public class LongFacetSet extends FacetSet
A `FacetSet` which encodes long dimension values.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final long[]`
  `values`
  The raw dimension values of this facet set.

  ### Fields inherited from class org.apache.lucene.facet.facetset.FacetSet

  `dims`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LongFacetSet(long... values)`
  Constructs a new instance of a facet set which stores `long` dimension values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long[]`
  `getComparableValues()`
  Returns the dimension values in this facet set as comparable longs.

  ### Methods inherited from class org.apache.lucene.facet.facetset.FacetSet

  `packValues, sizePackedBytes`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### values

    public final long[] values
    The raw dimension values of this facet set.

- ## Constructor Details

  - ### LongFacetSet

    public LongFacetSet(long... values)
    Constructs a new instance of a facet set which stores `long` dimension values.

- ## Method Details

  - ### getComparableValues

    public long[] getComparableValues()
    Description copied from class: `FacetSet`
    Returns the dimension values in this facet set as comparable longs.
    Specified by:
      `getComparableValues` in class `FacetSet`